package it.openutils.spring.rmibernate.client.pagination;

/**
 * @author mmolaschi
 * @version $Id: $
 */
public class Paginator
{

    private int from;

    private int size;

    /**
     *
     */
    public Paginator()
    {

    }

    /**
     * @param from starting row number
     * @param size max rows
     */
    public Paginator(int from, int size)
    {
        this.from = from;
        this.size = size;
    }

    /**
     * Get starting row number
     * @return starting row number
     */
    public int getFrom()
    {
        return from;
    }

    /**
     * Set starting row number
     * @param from starting row number
     */
    public void setFrom(int from)
    {
        this.from = from;
    }

    /**
     * Get max number of rows
     * @return max number of rows
     */
    public int getSize()
    {
        return size;
    }

    /**
     * Set max number of rows
     * @param size max number of rows
     */
    public void setSize(int size)
    {
        this.size = size;
    }

}
