package it.openutils.spring.rmibernate.server.aspects.util;

import java.io.ObjectStreamException;

/**
 * Interface for intercepting writeReplace method calls
 * @author mmolaschi
 * @version $Id: $
 */
public interface EntitySerializer
{
    /**
     * Write alternative object on serialization
     * @return alternative object
     * @throws ObjectStreamException error writing
     */
    Object writeReplace() throws ObjectStreamException;

}